0

i am trying to install mysqlworkbench in my ubuntu using

sudo dpkg -i mysql-workbench-community-6.0.9-1ubu1310-amd64.deb.3

but getting following errors

(Reading database ... 188276 files and directories currently installed.)
Preparing to replace mysql-workbench-community 6.0.9-1ubu1310(using mysql-                workbench-   community-6.0.9-1ubu1310-amd64.deb.3) ...
Unpacking replacement mysql-workbench-community ...
dpkg: dependency problems prevent configuration of mysql-workbench-community:
mysql-workbench-community depends on libctemplate2; however:
Package libctemplate2 is not installed.
mysql-workbench-community depends on libglib2.0-0 (>= 2.35.9); however:
Version of libglib2.0-0 on system is 2.32.4-0ubuntu1.
mysql-workbench-community depends on libglibmm-2.4-1c2a (>= 2.36.2); however:
Version of libglibmm-2.4-1c2a on system is 2.32.0-0ubuntu1.
mysql-workbench-community depends on libgtkmm-2.4-1c2a (>= 1:2.24.0); however:
Package libgtkmm-2.4-1c2a is not installed.
mysql-workbench-community depends on libpango-1.0-0 (>= 1.18.0); however:
Package libpango-1.0-0 is not installed.
mysql-workbench-community depends on libpangocairo-1.0-0 (>= 1.14.0); however:
Package libpangocairo-1.0-0 is not installed.
mysql-workbench-community depends on libpcrecpp0 (>= 7.7); however:
Package libpcrecpp0 is not installed.
mysql-workbench-community depends on libtinyxml2.6.2; however:
Package libtinyxml2.6.2 is not installed.
mysql-workbench-community depends on libzip2 (>= 0.10); however:
Package libzip2 is not installed.
mysql-workbench-community depends on python-paramiko; however:
Package python-paramiko is not installed.
mysql-workbench-community depends on python-pysqlite2; however:
Package python-pysqlite2 is not installed.
dpkg: error processing mysql-workbench-community (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for gnome-menus ...
Processing triggers for shared-mime-info ...
Processing triggers for hicolor-icon-theme ...
Errors were encountered while processing:
mysql-workbench-community
  • It may be easier to install using apt-get install mysql-workbench, however the version you get will be 6.1.7 – Charles Green Nov 10 '14 at 14:39
0

I think you're going at it the wrong way. You are having dependency issues trying to install MySQL Workbench 6.0.9, when you could easily install MySQL Workbench 6.0.8 in Ubuntu 14.04 from the Ubuntu Software Center or from the terminal using the command:

sudo apt-get install mysql-workbench
  • i tried but Ubuntu Software Center not displaying MySQL Workbench in software lists – vidyashi Nov 10 '14 at 11:40
  • Try searching for MySQL Workbench in the Ubuntu Software Center by using its package name: mysql-workbench. mysql-workbench is provided by the universe repository in Ubuntu 12.04, 14.04 and 14.10. – karel Nov 10 '14 at 11:42
  • 1
    hurray it worked..thank you so much :) i had been struggling from past 4 hours – vidyashi Nov 10 '14 at 11:46
  • can u please mention the package name for skype in Ubuntu Software Center – vidyashi Nov 10 '14 at 11:53
  • How to install Skype 4.3? -- the latest version of Skype. There are two ways to install Skype, from the Canonical Partner Repository or simply download Skype and double-click the Skype file to install it, which is the way I did it. – karel Nov 10 '14 at 11:57

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.